» »

Google ukinja podporo za Internet Explorer 8

Google - Internet Explorer 6 je (bil) ena izmed najbolj trdovratnih verzij tega brskalnika, saj se je kljub zastarelosti in nepodpori modernih tehnologij obdržal več kot deset let. Pokopati so ga poizkušali na različne načie, Microsoft že dlje časa odšteva ure do njegove smrti, Google mu je že zdavnaj odpovedal podporo. Ukrepi so razmeroma dobro zalegli, saj je njegov tržni delež padel na enomestne odstotke.

Če je Google IE6 nehal podpirati šele devet let po njegovem izidu, bodo z Internet Explorerjem 8 precej manj prizanesljivi. Sporočili so, da ga bodo v svojih aplikacijah Google Apps in na svojih straneh nehali podpirati 15. novembra. Seveda strani takrat v IE8 ne bodo nenadno umrle, ampak se bo pojavilo obvestilo, da brskalnik ni več podprt. Novih funkcionalnosti zanj ne bodo več prilagajali, tako da bodo strani sčasoma vedno manj uporabne za uporabnike z IE8. Gre za novo politiko hitrejšega kroženja, saj bo Google za Internet Explorer, Firefox in Safari podpiral le najnovejšo in naslednjo starejšo verzijo. Ker bo Windows 8 konec oktobra prinesel Internet Explorer 10, se bo IE8 poslovil.

Konec podpore pa je pomemben tudi za trg operacijskih sistemov. Windows XP, ki je že dopolnil desetletje, je namreč še vedno trdno zasidran na več kot 40 odstotkih računalnikov. Microsoft je odločil, da bo IE8 zadnja verzija brskalnika za Windows XP. To pomeni, da bodo morali uporabniki tega operacijskega sistema za brskanje uporabiti brskalnike drugih proizvajalcev. To za bolj vešče uporabnike ni problem, se pa utegne zaplesti v velikih podjetjih in drugod, kjer so sistemi standardizirani in centralno upravljani, tako da ne more vsakdo nameščati programov po želji.

Google je podporo za IE6 ukinil leta 2010, lani pa so odrezali IE7. To pot je situacija drugačna. Na pokop IE6 čaka celoten internet in vsak dregljaj v to smer je zaželen. IE7 je imel ob ukinitvi marginalni tržni delež, zato ni povzročil veliko težav. IE8 pa je najbolj uporabljan brskalnik s četrtinskim tržnim deležem. Vprašanje je, ali bodo njegovi uporabniki nadgradili operacijski sistem ali zgolj zamenjali brskalnik za konkurenčnega. Google si s svojim Chromom seveda želi prav slednje.

74 komentarjev

strani: « 1 2

Matev ::

naj se grejo solit

koga sploh briga kaj podpirajo

mtosev ::

haha. to tole upliva samo na uporabnike windowsa xp ker vista ima še IE9
i like:)

moj labradorec max 2002-2013

Zgodovina sprememb…

  • spremenil: mtosev ()

Bor H ::

Microsoft je odločil, da bo IE8 zadnja verzija brskalnika za Windows XP. To pomeni, da bodo morali uporabniki tega operacijskega sistema za brskanje uporabiti brskalnike drugih proizvajalcev.


Če me spomin ne vara je tudi FF15 zadnja XP verzija FFja. Prej ali slej bodo sledili tudi drugi.

Raptor F16 ::

Jst nikol explorerja tudi povohal nisem, sem bil prej skos na Mozili in še zdj sm, čeprav na čase bolj Chrome uporabljam

Zgodovina sprememb…

  • predlagal izbris: PromeuZ ()

Lion29 ::

vsakic me znova navdusijo... in delajo moje zivljenje velik lazje :)
Frontend UI/UX developer

technolog ::

IE8 ima okol 13% delež ali manj, po vseh števcih. IE6 je pa itak pod 1%.

Lion29 ::

sej, tak da od IEja rabim podpirat sam 9 in 10, povsod, ne sam pr nas :D

ce ukinejo podporo se za 9ko, bom se bolj happy :d
Frontend UI/UX developer

Zgodovina sprememb…

  • spremenil: Lion29 ()

jlpktnst ::

13% sploh ni tako malo... je pa res da je od vseh še najbolj problematičen.

Firefox pa naj nehajo nove verzije na 1-3 mesece šopat, ker to kar počnejo zadnje čase ne gre več nikamor.

71GA ::

Tako! Edino prav! Če ne sledijo in kar nekaj poiskušajo po svoje delati pa naj jih ukinejo. V bistvu je to super novica.

Gandalfar ::

71GA: cemu pa naj sledijo, stvarem, ki so 3 leta kasneje izumljene?

Lion29 ::

jlpktnst je izjavil:

Firefox pa naj nehajo nove verzije na 1-3 mesece šopat, ker to kar počnejo zadnje čase ne gre več nikamor.


v cem pa je problem?
Frontend UI/UX developer

Icematxyz ::

V bistvu IE bi lahko vsaj deloma povzel koncept hitrejšega razvojnega cikla, splet trenutno pač ne more čakat nekaj let le na račun združljivosti s (zastarelim) spletnim brskalnikom, ti časi so mimo. Sedaj se težave za spletne razvijalce prenašajo na zadnjo različico nekega spletnega brskalnika in se spletni razvijalec sprašuje, kdo kaj ponuja in to v aktualni različici spletnega brskalnika in se temu prilagaja torej razvijalec in temu trendu naj sledi tudi Microsoft.

Drugače pa lahko bi rekel da Google nima prav in da morda tekmuje nepošteno, ampak po premisleku se s tem ne morem strinjati, ker je Microsoft tisti, ki svojim uporabnikom, katerih je na tržišču znaten delež ne ponuja možnosti uporabe najnovejšega IE, konkurenca pa s svojo različico spletnega brskalnika to nudi!

Zgodovina sprememb…

techfreak :) ::

Domači uporabniki bi tako čimprej morali na novejšo verzijo, pri podjetjih pa je malo drugače, ker je veliko programske opreme, ki deluje samo na določeni verziji IEja.

Icematxyz ::

techfreak :) je izjavil:

Domači uporabniki bi tako čimprej morali na novejšo verzijo, pri podjetjih pa je malo drugače, ker je veliko programske opreme, ki deluje samo na določeni verziji IEja.


Ne ne more home user na XP na zadnjo različico IE, kar je naravnost smešno, da se gre Microsoft politiko na tem področju, ker jim ne koristi.

Gandalfar ::

Jah, a ubuntu v LTS releasu ze updejta Firefox?

Icematxyz ::

Gandalfar je izjavil:

Jah, a ubuntu v LTS releasu ze updejta Firefox?


Da.

Gandalfar ::

Kako pogosto pa? Mas kaksen dokument na to temo?

Icematxyz ::

Gandalfar je izjavil:

Kako pogosto pa? Mas kaksen dokument na to temo?


Redno. Ne rabiš torej dokumenta, ampak upravljalnik posodobitev.

Gandalfar ::

Torej 2 dni po novem Firefox stable se kar pojavi?

Icematxyz ::

Gandalfar je izjavil:

Torej 2 dni po novem Firefox stable se kar pojavi?


Tu nekje da ponavadi.

technolog ::

Naslov novice je zavajajoč.

Gledate z narobne perspektive. Google v bistvu ne ukinja ie8, ampak samo povečuje podporo standardom.

To je krivda MS, da ie8 ne dela, lahko pa izdajo popravek.

techfreak :) ::

Icematxyz: Ubuntu ob izdaji Windows XP še sploh ni obstajal, torej ne moreš primerjati.

http://packages.ubuntu.com/ - nikjer ne vidim niti paketov za Ubuntu 6.10 - izšel 2006, takrat kot Vista.

dux ::

@techfreak: Ubuntu 6.10 ni več uradno podprt ;).

Edina uradno podprta različica Ubuntuja, ki nima najnovejšega Firefoxa je Ubuntu 8.04 LTS (strežniška različica do aprila 2013, namizni različici je podpora že potekla).

Glede na to, da Microsoft razvija tako IE in Windows bi lahko (če bi želeli) IE8 dali na voljo tudi na Windows XP. Da IE8 ni na voljo za WinXP je bila IMO politična odločitev (da bi imeli uporabniki en razlog več za nadgradnjo na Visto, podobno kot z Direct X 10).
Upanje je v nasih odlocitvah

ascotto ::

WW Google!

carota ::

Verjetno pa je največji žebelj v krsto IE6 zadal Facebook, ko je ukinil podporo. To je velika motivacija za domače uporabnike, za nadgradnjo. :)

techfreak :) ::

Edina uradno podprta različica Ubuntuja, ki nima najnovejšega Firefoxa je Ubuntu 8.04 LTS (strežniška različica do aprila 2013, namizni različici je podpora že potekla).

Ubuntu 8.04 je bil izdan 2008 in jim ni uspelo zagotoviti najnovejše verzije Firefoxa? Kako lahko potem od Microsofta pričakuješ podporo za 10 let star OS?

IE9 uporablja APIje, ki na (ob izdaji IEja 9 let starem) Windows XPju niso na voljo.

Icematxyz ::

techfreak :) je izjavil:

Icematxyz: Ubuntu ob izdaji Windows XP še sploh ni obstajal, torej ne moreš primerjati.

http://packages.ubuntu.com/ - nikjer ne vidim niti paketov za Ubuntu 6.10 - izšel 2006, takrat kot Vista.


O čem ti to?

techfreak :) je izjavil:

Edina uradno podprta različica Ubuntuja, ki nima najnovejšega Firefoxa je Ubuntu 8.04 LTS (strežniška različica do aprila 2013, namizni različici je podpora že potekla).

Ubuntu 8.04 je bil izdan 2008 in jim ni uspelo zagotoviti najnovejše verzije Firefoxa? Kako lahko potem od Microsofta pričakuješ podporo za 10 let star OS?

IE9 uporablja APIje, ki na (ob izdaji IEja 9 let starem) Windows XPju niso na voljo.


Ubuntu 8.04 Desktop nima več uradne podpore že dobro leto dni in konkurenca ponuja za XP zadnjo različico spletnega brskalnika.

techfreak :) ::

Govorim o tem, da ima Ubuntu (ker si omenil podporo Firefoxa) veliko slabši odnos do svojih uporabnikom.

Gandalfar ::

Je imel. Zdej so nekak zrihtal :D

Icematxyz ::

techfreak :) je izjavil:

Govorim o tem, da ima Ubuntu (ker si omenil podporo Firefoxa) veliko slabši odnos do svojih uporabnikom.


Se pravi privzet brskalnik in to zadnja različica v upravljalniku posodobitev kakšen dan ali dva po izidu spletnega brskalnika na vseh podprtih Ubuntu Desktop različicah? Microsoft si kvečjemu lahko ogleda, kako se to dela, če že. Ne vem od kod tebi takšni zaključki torej in me načeloma niti ne zanima.

Gandalfar je izjavil:

Je imel. Zdej so nekak zrihtal :D


Ne načeloma ni imel. Včasih je bil razvojni cikel Firefox drugačen in se je privzeto ponudilo eno različico FF + vzdrževanje s popravki te različice, potem pa je Firefox spremenil razvojni cikel in temu so se torej prilagodili v Ubuntu. Praktično vedno je pa za novo različico bil na voljo PPA ali seveda ročna namestitev, kar pa za IE8+ na XP ne moremo reči, se pravi ni možnosti nadgradnje na zadnjo različico ob dejstvu, da konkurenca pa nudi za XP zadnjo različico spletnega brskalnika.

Zgodovina sprememb…

techfreak :) ::

Se pravi privzet brskalnik in to zadnja različica v upravljalniku posodobitev kakšen dan ali dva po izidu spletnega brskalnika na vseh podprtih Ubuntu Desktop različicah? Microsoft si kvečjemu lahko ogleda, kako se to dela, če že. Ne vem od kod tebi takšni zaključki torej in me načeloma niti ne zanima.

Podjetja in domači uporabniki ne bodo vsakih 6 mesecev skakali na nov OS, torej ni pomembno, če Canonical podpira zadnjih 5 verzij, MS pa zadnje 2. Pomembno je, da Canonicala ne moreš vzeti za zgled ker ponuja podporo na namizju za 2 leti star OS (4 leta za strežniški OS), Microsoft pa brez težav podpira 6 let staro Windows Visto.

kar pa za IE8+ na XP ne moremo reči, se pravi ni možnosti nadgradnje na zadnjo različico ob dejstvu, da konkurenca pa nudi za XP zadnjo različico spletnega brskalnika.

Firefox očitno ne potrebuje podpore APIjev, ki so na voljo od Windows Viste naprej.

Icematxyz ::

Podjetja in domači uporabniki ne bodo vsakih 6 mesecev skakali na nov OS, torej ni pomembno, če Canonical podpira zadnjih 5 verzij, MS pa zadnje 2. Pomembno je, da Canonicala ne moreš vzeti za zgled ker ponuja podporo na namizju za 2 leti star OS (4 leta za strežniški OS), Microsoft pa brez težav podpira 6 let staro Windows Visto.


Ne drži Ubuntu 12.04 Desktop je uradno podprt 5 let in podjetja ponavadi migrirajo na 2 leti.

Firefox očitno ne potrebuje podpore APIjev, ki so na voljo od Windows Viste naprej.


In dela torej bolje a ne da, torej BS.

techfreak :) ::

Ubuntu 12.04 je star nekaj mesecev, ne moreš to primerjati. Primerjaj Ubuntu 02.0x z Windows XP ali pa 06.0x z Windows Vista.

In dela torej bolje a ne da, torej BS.

IE9 potrebuje APIje, ki ne obstajajo na Windows XP. Firefox jih očitno ne, torej kje je BS?

MrStein ::

Bor H je izjavil:

Microsoft je odločil, da bo IE8 zadnja verzija brskalnika za Windows XP. To pomeni, da bodo morali uporabniki tega operacijskega sistema za brskanje uporabiti brskalnike drugih proizvajalcev.


Če me spomin ne vara je tudi FF15 zadnja XP verzija FFja. Prej ali slej bodo sledili tudi drugi.

Tule piše, da 16beta dela na XP SP2

Icematxyz je izjavil:


Ne drži Ubuntu 12.04 Desktop je uradno podprt 5 let in podjetja ponavadi migrirajo na 2 leti.

Tam leta 2006 sem bil v podjetju, kjer so razmišljali, da bi mogoče migrirali z Windows 2000 na Windows XP.
Teštiram če delaž - umlaut dela: ä ?

Zgodovina sprememb…

  • spremenil: MrStein ()

Bor H ::

MrStein je izjavil:

Bor H je izjavil:

Microsoft je odločil, da bo IE8 zadnja verzija brskalnika za Windows XP. To pomeni, da bodo morali uporabniki tega operacijskega sistema za brskanje uporabiti brskalnike drugih proizvajalcev.


Če me spomin ne vara je tudi FF15 zadnja XP verzija FFja. Prej ali slej bodo sledili tudi drugi.

Tule piše, da 16beta dela na XP SP2



Očitno imam napačen podatek v glavi, zanimivo, se opravičujem če je koga zmedlo..

Ales ::

Ne vem, zakaj ste toliko navalili na Ubuntu, LTS gor ali dol. Je le razlog, zakaj je Red Hat toliko večje podjetje od Canonicala in mogoče bi bil RHEL ustreznejši za primerjavo, glede na svojo 13-letno (10+3) podporo za posamezne različice.

Firefox se v RHEL redno posodablja oz. dobiva backportane posodobitve, uporabljajo pa "extended support" različico Firefoxa, kar je trenutno različica 10. Sčasoma bo tudi različica Firefoxa skočila naprej, kar sicer ni običaj pri RHEL.

Firefox 10 je trenutno več kot dovolj sodoben brskalnik za vsakdanja opravila, IMHO. Za razliko od IE 8.

Ne vem, ali je MS od začetka računal na to, da bo moral Windows XP podpirati tako dolgo... Najbrž ni. Saj ne rečem, da so to slabo izpeljali, ampak IE 8 je enostavno postal ena velika cokla za razvijalce spletnih strani. RIP, čimprej.
http://www.modronebo.net
Domene, gostovanje, strežniki, design

mtosev ::

bor h
pred časom so za win 2000 ukinili podporo in ne za xp
i like:)

moj labradorec max 2002-2013

jlpktnst ::

Tu je malo problem s starimi računalniki.

Tudi ubuntu 12 dela bolj drek na starih rečeh. Novejši browserji prav tako.

Če drugače ne morejo te bodo pa tako prisilili menjat pc, da bodo updati za vse na par mesecev. Google je pa tule na čelu te norosti. Upam da vas je minilo razmišljanje "good guy google" :) Eno je dober napredek, drugo je pa pretirano blaznenje.

Pa ne da imam kaj proti ukinitvni IE8, to je vse ok, problem se mi zdi drugje kot sem napisal.

Zgodovina sprememb…

  • spremenil: jlpktnst ()

Icematxyz ::

Ubuntu 12.04 je star nekaj mesecev, ne moreš to primerjati. Primerjaj Ubuntu 02.0x z Windows XP ali pa 06.0x z Windows Vista.


Glej sem te že višje vprašal o čem ti to sploh? Če že govorimo o Ubuntu na tem področju potem trenutno dileme ni. Vse uradno podprte Ubuntu Desktop različice dobijo zadnjo različico Firefox spletnega brskalnika preko upravljalnika posodobitev.

Torej z vidika spletnega razvijalca in uporabnika več od tega ni. Sprijazni se.

Tam leta 2006 sem bil v podjetju, kjer so razmišljali, da bi mogoče migrirali z Windows 2000 na Windows XP.


Da in trenutno konkurenca nudi za XP zadnjo različico spletnega brskalnika, Microsoft pa torej ne in spletnega razvijalca in uporabnika načeloma ne zanima zakaj ne, posebej še za to, ker konkurenca to zmore.

Ne vem, zakaj ste toliko navalili na Ubuntu, LTS gor ali dol.


Da se strinjam, ker po razjasnitvi, da je na Ubuntu to vzorno urejeno ne vem zakaj sploh še o tem govorimo, težava je torej drugje.

Azgard ::

Pa nima veze, da IE9 ne deluje na XP.Microsoft ponuja podporo za XPje še vedno, Microsoft je resna firma, --> iz tega sledi, naj zaboga portajo IE9 na XPje in ga dajo prek updajta.

Za kompatibilnost aplikacij v podjetjih je pa tu group policy, kjer lahko za vsako domeno posebaj naštimaš, kdaj gre v compatibility, kdaj pa ne, vse avtomatsko, nič userji to ne vidijo.

P.S. Prav tako naj portajo/updajtajo IE10 na Windows 7.

Zgodovina sprememb…

  • spremenil: Azgard ()

jlpktnst ::

Sej se sami streljajo v nogo, pač bo folk migriral na druge browserje če ne mislijo met latest na 4 leta starem OS. Al pa naj pocenijo upgrade windows na 20€

Bistri007 ::

Azgard je izjavil:

Pa nima veze, da IE9 ne deluje na XP.Microsoft ponuja podporo za XPje še vedno, Microsoft je resna firma, --> iz tega sledi, naj zaboga portajo IE9 na XPje in ga dajo prek updajta.

Če bi že portali, bi delali to z najnovejšo kodo, to je IE10. Ampak Visual Studio 2012 ne podpira targetiranja XP
;)
Največja napaka desetletja je bila narejena 4. novembra 2008
Oni so goljufali in Alah je goljufal, Alah je najboljši prevarant. (Koran 3:54)
Citiraj svetega očeta Benedikta XVI. in postani "persona rudis"...

technolog ::

Bistri007 je izjavil:

Azgard je izjavil:

Pa nima veze, da IE9 ne deluje na XP.Microsoft ponuja podporo za XPje še vedno, Microsoft je resna firma, --> iz tega sledi, naj zaboga portajo IE9 na XPje in ga dajo prek updajta.

Če bi že portali, bi delali to z najnovejšo kodo, to je IE10. Ampak Visual Studio 2012 ne podpira targetiranja XP
;)


In kdo je za to kriv? Kako veš da je IE10 compilan z VS?

Bistri007 ::

technolog je izjavil:

In kdo je za to kriv? Kako veš da je IE10 compilan z VS?

Microsoft od obstoječih XP instalacij nima nobene koristi, zato skuša pospešiti prehod na kaj novejšega. Potrebno je prioretizirati, kaj imaš rajši, C++ 11 ali podporo za XP???

Če gledaš, leto 2012 in 2001 sta prav enako oddaljeni kot leto 2002 in 1991. To je tako, kot da bi hotel imeti leta 2002 (XP izdani) podporo za Windows 3.0 (iz 1990).

Na http://channel9.msdn.com/ je veliko materiala, ki govori o notranjosti Windows, raziskovalnih projektih ipd. Za delanje binarnih datotek za Windows 8 je uporabljen msbuild sistem, kompiler pa je VC11.

Pod pritiskom razvijalske skupnosti pa naj bi VC11 dobil podporo za Windows XP z Update 1 (konec letošnjega leta).
Največja napaka desetletja je bila narejena 4. novembra 2008
Oni so goljufali in Alah je goljufal, Alah je najboljši prevarant. (Koran 3:54)
Citiraj svetega očeta Benedikta XVI. in postani "persona rudis"...

Azgard ::

Pa mi govorimo o enem bogem browserju, ki je za Microsoft stroškovno kaplja v morje, ne pa o tem, da bi Microsoft cele knjižnice za XP pisal... Če VS 2012 ne podpiraXPja, se pačspiše IE9 v tistem orodju, ki to podpira ane...

Prav tako pa IE9/10 na XPjih ne bi prav nič upočasnil zmanjševanje deleža XP.

Gandalfar ::

Glede na to da so vse MS-jeve lastniske tehnologije izrinjene iz browserja in se ga je prisilio implementirat firefoxove in googlove lastniske standarde, je vprasanje koliko je njim sploh v interesu furat ta browser. Ja sej je fajn, ni pa to neka konkurencna prednost. Naj se Google pa Firefox pobijeta med seboj s free.

techfreak :) ::

Internet Explorer je še vseeno 1. ali pa 2. najbolj uporabljen brskalnik odvisno glede na katero statistiko gledaš. Glavna prednost je pa predvsem to, da lahko IE integriraš v obstoječe programe in tukaj Microsoft potem ne bi imel kakšne zamenjave.

Pri Metro je HTML+javascript+CSS naveza ena izmed 4ih možnosti za pisanje aplikacij (poleg C#/VB, C++ in DirectX).

Looooooka ::

Gandalfar je izjavil:

Glede na to da so vse MS-jeve lastniske tehnologije izrinjene iz browserja in se ga je prisilio implementirat firefoxove in googlove lastniske standarde, je vprasanje koliko je njim sploh v interesu furat ta browser. Ja sej je fajn, ni pa to neka konkurencna prednost. Naj se Google pa Firefox pobijeta med seboj s free.

firma, ki namesto standardov vtika svoje 3d vmesnike not in firma, ki je postala sinonim za bloatware.
ne hvala. in to obema.

Bistri007 ::

Azgard je izjavil:

Če VS 2012 ne podpiraXPja, se pačspiše IE9 v tistem orodju, ki to podpira ane...

IE9 je bil izdan marca 2011. IE10 je najnovejša verzija (v Win8), ampak Vista ga ne bo dobila.

Ni prav nikakršnega smisla delati s staro kodo. Če bi že hoteli portati na XP, bi uporabili najnovejši "codebase" (IE10). Ampak bi bilo brez Direct2D in sandboxinga. Poleg tega je IE10 narejen s kompilerjem VC11, ki ne podpira XP.
Največja napaka desetletja je bila narejena 4. novembra 2008
Oni so goljufali in Alah je goljufal, Alah je najboljši prevarant. (Koran 3:54)
Citiraj svetega očeta Benedikta XVI. in postani "persona rudis"...
strani: « 1 2


Vredno ogleda ...

TemaSporočilaOglediZadnje sporočilo
TemaSporočilaOglediZadnje sporočilo
»

Evropska komisija bo začela postopek zoper Microsoft (strani: 1 2 )

Oddelek: Novice / Ostale najave
884294 (1958) thramos
»

Google ukinja podporo za Internet Explorer 8 (strani: 1 2 )

Oddelek: Novice / Omrežja / internet
746933 (4071) Icematxyz
»

Zatežimo uporabnikom naj posodobijo browser (strani: 1 2 )

Oddelek: Izdelava spletišč
593981 (2322) Tody
»

Googlove nastavitve v elektronski pošti

Oddelek: Omrežja in internet
6798 (673) linkiandrej
»

[Prelivanje žolča] IE Vs. vsi ostali (strani: 1 2 )

Oddelek: Programska oprema
722285 (2093) snow

Več podobnih tem